> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Exam Volume

> Returns an exam volume report for the specified install.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json get /v1/installs/{installSid}/examVolume
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/installs/{installSid}/examVolume:
    get:
      tags:
        - Reports
      summary: Exam Volume
      description: Returns an exam volume report for the specified install.
      operationId: getV1InstallsInstallsidExamvolume
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: Application Install Sid
            pattern: ^AI[a-f0-9]{32}$
          description: Application Install Sid
          required: true
        - name: examOpenDate
          in: query
          schema:
            type: string
            description: Exam Open date, must provide close date with it
            example: '1970-01-01T00:00:00.000Z'
            pattern: .*Z
            x-format:
              isoDate: true
          description: Exam Open date, must provide close date with it
        - name: examCloseDate
          in: query
          schema:
            type: string
            description: Exam Close date, must provide open date with it
            example: '1970-01-01T00:00:00.000Z'
            pattern: .*Z
            x-format:
              isoDate: true
          description: Exam Close date, must provide open date with it
        - name: courseOfferingSid
          in: query
          schema:
            type: string
            description: Course Offering Sid
            pattern: ^CO[a-f0-9]{32}$
          description: Course Offering Sid
        - name: offset
          in: query
          schema:
            type: integer
            description: Offset for pagination
            minimum: 0
          description: Offset for pagination
        - name: limit
          in: query
          schema:
            type: integer
            description: Number of items to return
            minimum: 0
          description: Number of items to return
        - name: sortKeys
          in: query
          schema:
            type: array
            description: Key to sort by
            default:
              - createdDate
            x-constraint:
              single: true
            items:
              type: string
              enum:
                - examOpenDate
                - createdDate
          description: Key to sort by
          style: form
          explode: true
        - name: sortOrder
          in: query
          schema:
            type: string
            description: Sort order
            default: ASC
            enum:
              - ASC
              - DESC
          description: Sort order
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExamVolumeReportResponse'
components:
  schemas:
    ExamVolumeReportResponse:
      type: object
      properties:
        total:
          type: number
          nullable: true
        first:
          type: string
          nullable: true
        next:
          type: string
          nullable: true
        prev:
          type: string
          nullable: true
        last:
          type: string
          nullable: true
        count:
          type: number
          nullable: true
        offset:
          type: number
          nullable: true
        results:
          $ref: '#/components/schemas/Model1'
    Model1:
      type: array
      items:
        $ref: '#/components/schemas/ExamVolumeItem'
    ExamVolumeItem:
      type: object
      properties:
        courseTitle:
          type: string
          nullable: true
        courseCode:
          type: string
          nullable: true
        examTitle:
          type: string
          nullable: true
        examType:
          type: string
          nullable: true
        examOpenDate:
          type: string
          nullable: true
        examCloseDate:
          type: string
          nullable: true
        scheduleOpenDate:
          type: string
          nullable: true
        scheduleCloseDate:
          type: string
          nullable: true
        enrollment:
          type: number
          nullable: true
        unscheduledRemaining:
          type: number
          nullable: true
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````